Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.core.config.constructionheuristic
Enum ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType

    java.lang.Object
      java.lang.Enum<ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType>
          org.optaplanner.core.config.constructionheuristic.ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType

All Implemented Interfaces:
  Serializable, Comparable<ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType>

Enclosing class:
  ConstructionHeuristicSolverPhaseConfig

    public static enum ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType

extends Enum<ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType>

Enum Constant Summary
`BEST_FIT`
`BEST_FIT_DECREASING`
`FIRST_FIT`
`FIRST_FIT_DECREASING`

Method Summary
`boolean` | `isSortEntitiesByDecreasingDifficulty()`
`boolean` | `isSortValuesByIncreasingStrength()`
`static ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIRST_FIT

    public static final ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType FIRST_FIT

### FIRST_FIT_DECREASING

    public static final ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType FIRST_FIT_DECREASING

### BEST_FIT

    public static final ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType BEST_FIT

### BEST_FIT_DECREASING

    public static final ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType BEST_FIT_DECREASING

Method Detail

### values

    public static ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType c : ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isSortEntitiesByDecreasingDifficulty

    public boolean isSortEntitiesByDecreasingDifficulty()

### isSortValuesByIncreasingStrength

    public boolean isSortValuesByIncreasingStrength()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.